changeset 51:eeb832793cd6

6928700: Configure top repo for JPRT testing Reviewed-by: jjg
author ohair
date Wed, 09 Jun 2010 15:23:33 -0700
parents e85cf6be367a
children d6d46e2d0fc8
files make/jprt.properties test/Makefile
diffstat 2 files changed, 137 insertions(+), 9 deletions(-) [+]
line wrap: on
line diff
--- a/make/jprt.properties	Wed Jun 09 15:22:43 2010 -0700
+++ b/make/jprt.properties	Wed Jun 09 15:23:33 2010 -0700
@@ -26,11 +26,11 @@
 # Properties for jprt
 jprt.tools.default.release=openjdk6
 
-# Specific platform list
+# Specific platform list (For now, Solaris 8 sparc, Solaris 10 x86)
 jprt.build.platforms=\
 solaris_sparc_5.8,\
 solaris_sparcv9_5.8,\
-solaris_i586_5.8,\
+solaris_i586_5.10,\
 solaris_x64_5.10,\
 linux_i586_2.6,\
 linux_x64_2.6,\
@@ -39,18 +39,56 @@
 
 # The different build flavors we want
 jprt.build.flavors=product,fastdebug
+jprt.run.flavors=c1,c2
+jprt.solaris_sparcv9.run.flavors=c2
+jprt.solaris_x64.run.flavors=c2
+jprt.windows_x64.run.flavors=c2
+jprt.linux_x64.run.flavors=c2
+jprt.run.flavor.c1.option=-client
+jprt.run.flavor.c2.option=-server
 
 # Explicitly designate what the 32bit match is for the 64bit build
 jprt.solaris_sparcv9.build.platform.match32=solaris_sparc_5.8
 jprt.solaris_sparcv9_5.8.build.platform.match32=solaris_sparc_5.8
 jprt.solaris_sparcv9_5.10.build.platform.match32=solaris_sparc_5.8
-jprt.solaris_x64.build.platform.match32=solaris_i586_5.8
-jprt.solaris_x64_5.8.build.platform.match32=solaris_i586_5.8
-jprt.solaris_x64_5.10.build.platform.match32=solaris_i586_5.8
+jprt.solaris_x64.build.platform.match32=solaris_i586_5.10
 
-# Standard list of jprt test targets for this workspace
-jprt.test.targets=*-*-*-jvm98
+# Shortened list of vm tests
+jprt.test.targets=              \
+  *-product-*-jvm98,            \
+  *-product-*-scimark,          \
+  *-product-*-runThese,         \
+  *-product-*-GCBasher_default, \
+  *-product-*-GCOld_default,    \
+  *-product-*-jbb_default
 
-# Directories needed to build
-jprt.bundle.exclude.src.dirs=build dist
+# Test targets in test/Makefile
+#   Not ready yet:   *-product-*-langtools_jtreg
+jprt.make.rule.test.targets=   \
+  *-product-*-jdk_beans1,      \
+  *-product-*-jdk_beans2,      \
+  *-product-*-jdk_beans3,      \
+  *-product-*-jdk_io,          \
+  *-product-*-jdk_lang,        \
+  *-product-*-jdk_management1, \
+  *-product-*-jdk_management2, \
+  *-product-*-jdk_math,        \
+  *-product-*-jdk_misc,        \
+  *-product-*-jdk_net,         \
+  *-product-*-jdk_nio,         \
+  *-product-*-jdk_security1,   \
+  *-product-*-jdk_security2,   \
+  *-product-*-jdk_security3,   \
+  *-product-*-jdk_text,        \
+  *-product-*-jdk_tools1,      \
+  *-product-*-jdk_tools2,      \
+  *-product-*-jdk_util
 
+# Not Ready Yet:
+#   *-product-*-jdk_awt
+#   *-product-*-jdk_rmi
+#   *-product-*-jdk_swing
+
+# Directories to be excluded from source bundles
+jprt.bundle.exclude.src.dirs=build dist webrev
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/test/Makefile	Wed Jun 09 15:23:33 2010 -0700
@@ -0,0 +1,90 @@
+#
+# Copyright 2010 Sun Microsystems, Inc.  All Rights Reserved.
+# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+#
+# This code is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 2 only, as
+# published by the Free Software Foundation.  Sun designates this
+# particular file as subject to the "Classpath" exception as provided
+# by Sun in the LICENSE file that accompanied this code.
+#
+# This code is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# version 2 for more details (a copy is included in the LICENSE file that
+# accompanied this code).
+#
+# You should have received a copy of the GNU General Public License version
+# 2 along with this work; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+# Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
+# CA 95054 USA or visit www.sun.com if you need additional information or
+# have any questions.
+#
+
+#
+# Makefile to run tests from multiple sibling directories
+#
+
+# Root of the forest that was built
+TOPDIR=..
+
+# This makefile depends on the availability of sibling directories.
+LANGTOOLS_DIR=$(TOPDIR)/langtools
+JDK_DIR=$(TOPDIR)/jdk
+
+# Macro to run a test target in a subdir
+define SUBDIR_TEST # subdirectory target
+if [ -d $1 ] ; then \
+  if [ -r $1/test/Makefile ] ; then \
+    echo "$(MAKE) -C $1/test $2" ; \
+    $(MAKE) -C $1/test $2 ; \
+  else \
+    echo "ERROR: File does not exist: $1/test/Makefile"; \
+    exit 1; \
+  fi; \
+else \
+  echo "WARNING: No testing done, directory does not exist: $1"; \
+fi
+endef
+
+# Test target list for langtools repository
+LANGTOOLS_TEST_LIST = langtools_jtreg
+
+# Test target list for jdk repository
+JDK_TEST_LIST = \
+	jdk_awt \
+	jdk_beans jdk_beans1 jdk_beans2 jdk_beans3  \
+	jdk_io  \
+	jdk_lang  \
+	jdk_management jdk_management1 jdk_management2  \
+	jdk_math  \
+	jdk_misc  \
+	jdk_net  \
+	jdk_nio  \
+	jdk_rmi \
+	jdk_security jdk_security1 jdk_security2 jdk_security3  \
+	jdk_swing \
+	jdk_text  \
+	jdk_tools jdk_tools1 jdk_tools2  \
+	jdk_util
+
+# Default test target (everything)
+all: $(JDK_TEST_LIST) $(LANGTOOLS_TEST_LIST)
+
+# Test targets
+$(LANGTOOLS_TEST_LIST):
+	@$(call SUBDIR_TEST, $(LANGTOOLS_DIR), $(subst langtools_,,$@))
+$(JDK_TEST_LIST):
+	@$(call SUBDIR_TEST, $(JDK_DIR), $@)
+
+clean:
+
+################################################################
+
+# Phony targets (e.g. these are not filenames)
+.PHONY: all clean $(JDK_TEST_LIST) $(LANGTOOLS_TEST_LIST)
+
+################################################################
+